body {
  font-family: Poppins, Arial, sans-serif;
  background: #242424;
  color: #e0e0e0;
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
}

.bg-dark {
  background: #1a1a1a;
}

.bg-mid {
  background: #1f1f1f;
}

.container {
  max-width: 600px;
  margin: auto;
  padding: 0 1rem;
}

header {
  display: flex;
}

canvas {
  background: #222;
  transition: opacity 0.25s;
}

canvas:hover {
  cursor: pointer;
}

strong {
  color: #ffd472;
}

h1 {
  color: #ffb574;
  font-size: 2rem;
  padding-top: 2rem;
  margin-top: 0;
}

h1 a {
  color: #ffa600;
}

header {
  display: flex;
  justify-content: space-between;
}

header canvas {
  background: none;
  margin-left: 1rem;
  position: relative;
  top: 5px;
  align-self: center;
}

h2 {
  color: #ffca50;
  font-size: 1.5rem;
  padding-top: 2rem;
  margin-top: 0;
}

h3 {
  color: #ffedc4;
  padding: 1rem 0 0.5rem;
  font-size: 1.2rem;
  border-bottom: 1px solid rgba(255,255,255,0.3);
}

h4 {
  color: #e0e0e0;
  font-size: 1rem;
  padding: 1rem 0 0.5rem;
  border-bottom: 1px solid rgba(255,255,255,0.1);
}

a {
  color: #a1fd8b;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

p {
  line-height: 1.6rem;
  margin: 0 0 2rem;
}

ul {
  margin: 0;
  font-size: 0.9rem;
  padding-inline-start: 2.2rem;
}

nav > ul a {
  display: block;
}

ul + p {
  margin-top: 1.5rem;
}

li {
  line-height: 1.8rem;
}

sup {
  position: relative;
  vertical-align: middle;
  top: -0.4rem;
  font-size: 0.7rem;
}

section {
  padding-bottom: 3rem;
}

figure {
  margin: 0 0 2rem 2rem;
}

figcaption {
  font-size: 0.8rem;
  margin-top: 0.7rem;
  opacity: 0.7;
}

.flex-responsive {
  display: flex;
  justify-content: space-between;
}

.pixel-row {
  display: flex;
}
.big-pixel {
  width: 3%;
  aspect-ratio: 1;
  background: black;
  font-size: 0.8rem;
  text-align: center;
  float: left;
}
.big-pixel.on {
  color: white;
  background: #5c7aff;
}
.big-pixel.transparent {
  background: none;
}

@media only screen and (max-width: 600px) {
  .container {
    width: auto;
  }
  .flex-responsive {
    display: block;
  }
  .flex-responsive figure {
    margin-left: 0;
  }
  .flex-responsive canvas {
    width: 100%;
  }
}

footer {
  width: 100%;
  padding: 1rem 0;
  background: #121212;
}

footer a {
  margin-right: 3rem;
}
